package cn.com.poc.ai_data_audit.service;

import cn.com.poc.ai_data_audit.dto.FileUploadConfirmDto;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_data_audit.entity.BizAiDataAuditTaskEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiDataAuditTaskService extends BaseService {

    BizAiDataAuditTaskEntity get(Integer id) throws Exception;

    void delete(Integer id) throws Exception;

    List<BizAiDataAuditTaskEntity> findByExample(BizAiDataAuditTaskEntity example, PagingInfo pagingInfo) throws Exception;

    void createDataAuditTask(String taskName, FileUploadConfirmDto fileUploadConfirmDto) throws Exception;


}